io.vertx.spi.cluster.ignite

## Class IgniteMetricExporterOptions

- java.lang.Object
- - io.vertx.spi.cluster.ignite.IgniteMetricExporterOptions

-     public class IgniteMetricExporterOptions
      extends Object

  Author:
    Markus Spika

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteMetricExporterOptions()` Default Constructor
    `IgniteMetricExporterOptions(IgniteMetricExporterOptions options)` Copy Constructor
    `IgniteMetricExporterOptions(JsonObject options)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.ignite.spi.metric.MetricExporterSpi` | `getCustomSpi()`
    `IgniteMetricExporterOptions` | `setCustomSpi(org.apache.ignite.spi.metric.MetricExporterSpi metricExporterSpi)` Sets a custom MetricExporterSpi implementation.
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteMetricExporterOptions

          public IgniteMetricExporterOptions()

      Default Constructor

    - #### IgniteMetricExporterOptions

          public IgniteMetricExporterOptions(IgniteMetricExporterOptions options)

      Copy Constructor

    - #### IgniteMetricExporterOptions

          public IgniteMetricExporterOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### getCustomSpi

          public org.apache.ignite.spi.metric.MetricExporterSpi getCustomSpi()

    - #### setCustomSpi

          public IgniteMetricExporterOptions setCustomSpi(org.apache.ignite.spi.metric.MetricExporterSpi metricExporterSpi)

      Sets a custom MetricExporterSpi implementation.
      Parameters:
        `metricExporterSpi` - to set.
      Returns:
        reference to this, for fluency

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

Copyright © 2023 Eclipse. All rights reserved.